from .download import  download_file
from pathlib import Path
down_path = Path(__file__).parent
xz_url = "addons_file"+"/"+down_path.name+"/"
download_file(xz_url + "Low Poly Lightning_Material.blend",down_path)

bl_info = {
    "name": "Electrify - Quick Lightning",
    "author": "xz-blender repack",
    "version": (4, 0,1),
    "blender": (4, 1, 0),
    "location": "View3D > Sidebar UI > Electrify",
    "description": "Add different customizable lightning objects with just one click of a button. !!ONLY FOR BLENDER 4.1 AND ABOVE!!",
    "warning": "",
    "doc_url": "",
    "category": "Add Mesh",
}

modulesNames = ['electrify_ui', 'add_branched_lightning', 'add_random_lightning', 'add_simple_lightning', 'add_lowpoly_lightning']

import sys
import importlib
import bpy
from .translation.translate import GetTranslationDict
modulesFullNames = {}
for currentModuleName in modulesNames:
    if 'DEBUG_MODE' in sys.argv:
        modulesFullNames[currentModuleName] = ('{}'.format(currentModuleName))
    else:
        modulesFullNames[currentModuleName] = ('{}.{}'.format(__name__, currentModuleName))
 
for currentModuleFullName in modulesFullNames.values():
    if currentModuleFullName in sys.modules:
        importlib.reload(sys.modules[currentModuleFullName])
    else:
        globals()[currentModuleFullName] = importlib.import_module(currentModuleFullName)
        setattr(globals()[currentModuleFullName], 'modulesNames', modulesFullNames)
 
def register():
    for currentModuleName in modulesFullNames.values():
        if currentModuleName in sys.modules:
            if hasattr(sys.modules[currentModuleName], 'register'):
                sys.modules[currentModuleName].register()
    try:
        bpy.app.translations.register(__package__, GetTranslationDict())
    except Exception as e: print(e)
 
def unregister():
    for currentModuleName in modulesFullNames.values():
        if currentModuleName in sys.modules:
            if hasattr(sys.modules[currentModuleName], 'unregister'):
                sys.modules[currentModuleName].unregister()
    try:
        bpy.app.translations.unregister(__package__)
    except Exception as e: print(e)
 
if __name__ == "__main__":
    register()